The Swoole\Mmap class

- « Swoole\Lock::unlock

- Swoole\Mmap::open »

- PHP Manual
- Swoole
- The Swoole\Mmap class

# The Swoole\Mmap class

(PECL swoole >= 1.9.0)

## Introduction

## Class synopsis

class Swoole\Mmap {
/* Methods */
public static open(string `$filename`, string `$size` = ?, string `$offset` = ?): ReturnType
}

## Table of Contents

- Swoole\Mmap::open — Map a file into memory and return the stream resource which can be used by PHP stream operations.